import { t } from '@das-fed/web';
import { DasRadio } from '@das-fed/ui';
import type { CustomSearchItem } from './type';
declare const searchvalue: import("vue").Ref<any, any>;
declare const changeHandler: () => void;
declare const labelWidth: import("vue").Ref<string, string>;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_9: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    default?: (props: typeof __VLS_9) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<CustomSearchItem, {
    t: typeof t;
    DasRadio: typeof DasRadio;
    searchvalue: typeof searchvalue;
    changeHandler: typeof changeHandler;
    labelWidth: typeof labelWidth;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:modelValue": (n: any) => any;
    change: (e: any) => any;
}, string, import("vue").PublicProps, Readonly<CustomSearchItem> & Readonly<{
    "onUpdate:modelValue"?: ((n: any) => any) | undefined;
    onChange?: ((e: any) => any) | undefined;
}>, {
    label: string;
    defaultProps: import("./type").ValLabel<string>;
    modelValue: any;
    options: any[];
    customerActive: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<CustomSearchItem, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:modelValue": (n: any) => any;
    change: (e: any) => any;
}, string, import("vue").PublicProps, Readonly<CustomSearchItem> & Readonly<{
    "onUpdate:modelValue"?: ((n: any) => any) | undefined;
    onChange?: ((e: any) => any) | undefined;
}>, {
    label: string;
    defaultProps: import("./type").ValLabel<string>;
    modelValue: any;
    options: any[];
    customerActive: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
